Bug 620314 - WebKit support dropped in 4.6.2-16
WebKit support dropped in 4.6.2-16
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qt (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Ngo Than
desktop-bugs@redhat.com
: RHELNAK
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-02 02:28 EDT by Axel Thimm
Modified: 2010-08-03 04:21 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-03 04:21:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Axel Thimm 2010-08-02 02:28:58 EDT
Description of problem:
* Tue Jun 01 2010 Than Ngo <than@redhat.com> - 4.6.2-16
- Resolves: bz#597271, drop WebKit support in Qt

I cannot read bz#597271, it is probably one or more of the CVEs related to security issues with WebKit.

Version-Release number of selected component (if applicable):
4.6.2-16

How reproducible:
100%

Steps to Reproduce:
1.Try to #include <QtWebKit/QtWebKit>
2.
3.
  
Actual results:
No such file

Expected results:
Building against QtWebKit

Additional info:
Would it be worth while upgrading to 4.6.3 while still in beta?
QtWebKit is used in many third party projects, I for example was building mythtv against the RHEL6 betas.

Thanks!
Comment 2 RHEL Product and Program Management 2010-08-02 02:47:34 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 3 Ngo Than 2010-08-03 04:21:37 EDT
Exel,

 due to the high number of critical issues that continue to be found in WebKit, we droppred the webkit support.  You can enable Webkit in Qt und build it as subpackage for the third party projects.

Note You need to log in before you can comment on or make changes to this bug.